Hardware and Software Requirements Kaspersky Endpoint Security 10 for Windows (for workstations)

Version 10.2.4.674: Hardware and Software Requirements

For proper functioning of Kaspersky Endpoint Security 10 for Windows, your computer must meet the following requirements:

General requirements:

  • Intel Pentium processor at 1 GHz and faster
  • 1 GB of free RAM
  • 2 GB of free disk space
  • Microsoft Internet Explorer 7.0 or later
  • Microsoft Windows Installer 3.0 or later
  • Internet connection (required for activating and updating the application)

Hardware and software requirements:

  • Microsoft Windows 10 Pro x86 / х64
  • Microsoft Windows 10 Enterprise x86 / х64
  • Microsoft Windows 8.1 Pro x86 / х64
  • Microsoft Windows 8.1 Enterprise x86 / х64
  • Microsoft Windows 8 Pro x86 / х64
  • Microsoft Windows 8 Enterprise x86 / х64
  • Microsoft Windows 7 Professional x86 / х64 SP1 and later
  • Microsoft Windows 7 Enterprise / Ultimate x86 / х64 SP1 and later
  • Microsoft Windows 7 Professional x86 / х64
  • Microsoft Windows 7 Enterprise / Ultimate x86 / х64
  • Microsoft Windows Vista x86 / х64 SP2 and later
  • Microsoft Windows XP Professional x86 SP3 and later
  • Microsoft Windows Server 2012 R2 Standard / Essentials / Enterprise х64 (ReFS file system is supported with limitations,  Server Core and Cluster Mode configurations are not supported)
  • Microsoft Windows Server 2012 Foundation / Standard / Essentials х64 (ReFS file system is supported with limitations,  Server Core and Cluster Mode configurations are not supported)
  • Microsoft Small Business Server 2011 Standard / Essentials х64
  • Microsoft Windows MultiPoint Server 2011 х64
  • Microsoft Windows Server 2008 R2 Standard / Enterprise / Foundation х64 SP1 and later
  • Microsoft Windows Server 2008 R2 Standard / Enterprise / Foundation х64
  • Microsoft Windows Server 2008 Standard / Enterprise х86 / х64 SP2 and later
  • Microsoft Small Business Server 2008 Standard / Premium x64
  • Microsoft Windows Server 2003 R2 Standard / Enterprise x86 / x64 SP2 and later
  • Microsoft Windows Server 2003 Standard / Enterprise x86 / x64 SP2 and later
  • Microsoft Windows Embedded 8.0 Standard x64
  • Microsoft Windows Embedded 8.1 Industry Pro x64
  • Microsoft Windows Embedded Standard 7 x86 / x64 SP1
  • Microsoft Windows Embedded POSReady 7 x86 / x64